
Core - Task # 57006

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55521 (Resolved): As an User I want to create exports in v. 4.x and import them in v. 6.2

Status: Resolved Priority: Must have
Author: Marc Bastian Heinrichs Category: Database API
Created: 2014-03-17 Assigned To: Marc Bastian Heinrichs
Updated: 2014-10-23 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Sprint Focus:
Subject: SoftReferenceIndex typolink[linkList] missing support separation by line feed
Description

Since #24121 the field content in image_link is separated by line feeds instead of commas. Since then the soft reference parser
"typolink[linkList]" is broken for this field.
This results in broken image links on imports and exports.

Related issues:
related to Core - Bug # 24121: Link field for images is too short to provide ... Closed 2010-11-18
related to Core - Task # 52593: Impexp: make 4.x exports work as import in 6.x Resolved 2013-10-07

Associated revisions
Revision 83a4e3f5 - 2014-10-23 22:46 - Marc Bastian Heinrichs

[BUGFIX] softrefproc typolink lacks support for separation by line feed

Since #24121 the field content in "image_link" is separated by line
feeds instead of commas. Since then the soft reference processor
for "typolink[linkList]" is broken for this field. This results in broken
image links in imports and exports and possible unchecked links in
linkvalidator extension. In 4.7 this applies also for the field
"longdescURL".

This have not to be fixed for versions later than 4.7, because since 6.0
the fields "image_link" and "longdescURL" aren't used anymore.

Resolves: #57006
Releases: 4.7, 4.5
Change-Id: I3a070d4d6e24b60a0658ec5bb6cc77d26a3e2f2d
Reviewed-on: http://review.typo3.org/28483
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Revision 528429b9 - 2014-10-23 22:47 - Marc Bastian Heinrichs

[BUGFIX] softrefproc typolink lacks support for separation by line feed
Since #24121 the field content in "image_link" is separated by line
feeds instead of commas. Since then the soft reference processor
for "typolink[linkList]" is broken for this field. This results in broken
image links in imports and exports and possible unchecked links in
linkvalidator extension. In 4.7 this applies also for the field
"longdescURL".

This have not to be fixed for versions later than 4.7, because since 6.0
the fields "image_link" and "longdescURL" aren't used anymore.

Resolves: #57006
Releases: 4.7, 4.5
Change-Id: I3a070d4d6e24b60a0658ec5bb6cc77d26a3e2f2d
Reviewed-on: http://review.typo3.org/33481
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2014-03-17 23:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28483

#2 - 2014-03-17 23:37 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28483

#3 - 2014-03-18 00:53 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28483

#4 - 2014-10-23 02:40 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33481

#5 - 2014-10-23 23:00 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:83a4e3f5191d2fb757cf3e8e67f6ec873467bb07.
